| Home | Libraries | People | FAQ | More

##### static_results::warning_count

Returns the number of warnings produced by the executed SQL statement.

###### Synopsis

    template<
        std::size_t I = 0>
    unsigned
    warning_count() const;

###### Template Parameters

Type | Description
--- | ---
`I` | Resultset index. For operations returning more than one resultset, you can explicitly specify this parameter to obtain the warning count for the i-th resultset. If left unspecified, the warning count for the first resultset is returned.

###### Preconditions

`this->has_value() == true`

###### Exception safety

No-throw guarantee.

###### Complexity

Constant.